%define upstream_name    Dist-Zilla-Plugin-NoSmartCommentsTests
%define upstream_version 0.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Make sure no Smart::Comments escape into the wild
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::AttributeShortcuts)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::NoSmartComments)
BuildRequires: perl(autobox::Core)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following file:

  xt/release/no-smart-comments.t - test to ensure no Smart::Comments

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-4.mga8
+ Revision: 1504091
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.9.0-3.mga7
+ Revision: 1283148
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.9.0-2.mga7
+ Revision: 1164256
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.9.0-1.mga7
+ Revision: 1157646
- update to 0.009

* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-3.mga6
+ Revision: 1026444
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.7.0-2.mga6
+ Revision: 966684
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.7.0-1.mga6
+ Revision: 846556
- update to 0.007

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-5.mga5
+ Revision: 743713
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 511121
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 366294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.6.0-1.mga2
+ Revision: 106869
- update to 0.006

* Sun Apr 03 2011 jquelin <jquelin> 0.5.0-1.mga1
+ Revision: 80070
- update to 0.005

* Fri Mar 18 2011 jquelin <jquelin> 0.4.0-1.mga1
+ Revision: 74112
- update to 0.004

* Wed Mar 16 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 72329
- update to 0.003

* Mon Mar 14 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 71266
- imported package perl-Dist-Zilla-Plugin-NoSmartCommentsTests


* Mon Mar 14 2011 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
